List businesses
curl --request GET \
--url https://api.nextlevelmca.com/v1/businesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nextlevelmca.com/v1/businesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"legal_name": "<string>",
"dba": "<string>",
"ein": "<string>",
"entity_type": "<string>",
"industry": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"phone": "<string>",
"email": "<string>",
"business_start_date": "<string>",
"status": "active",
"tags": [
"<string>"
],
"custom_data": {},
"primary_contact": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"deal_count": 123,
"lifetime_funded": 123,
"active_advances": 123,
"outstanding_balance": 123,
"last_activity_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Businesses
List businesses
Merchant businesses in the location, newest first, with primary-contact and deal/advance aggregates. Filter by status, industry, state, tag, search (name, DBA, EIN, primary contact) and updated_after.
GET
/
v1
/
businesses
List businesses
Authorizations
API key (nlmca_live_…) or OAuth access token
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Opaque cursor from a previous response’s meta.next_cursor.
Only businesses with this status.
Available options:
active, inactive, watchlist Industry, matched case-insensitively (exact value).
State, matched case-insensitively (e.g. NY).
Only businesses carrying this tag.
Fragment matched against legal name, DBA, EIN and the primary contact’s name, email and phone.
Only businesses whose record was updated after this ISO 8601 timestamp (business fields, not deal activity).
Example:
"2026-01-01T00:00:00Z"
Was this page helpful?